#include <math.h> 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <complex>
#include <iostream> 
#include <fstream> 
using namespace std;

#ifndef _BASIC_H_
#define _BASIC_H_

#define PI      3.14159265358979323846
#define TWOPI   6.28318530717958647692
#define MAG_MU  1.2566370614E-6          /* magnetic permeability const.   */
#define EP      8.854187817E-12          /* dielectric const.              */
#define C_LIGHT 2.99792458E8             /* Light velocity                 */
#define G_GRAV  6.67259E-11              /* Gravity const.                 */
#define AU      1.49597870E11            /* [m]                            */
#define K_BOLTZ 1.380658E-23             /* Bolzmann const.                */
#define H_BAR   1.05457266E-34           /* Plank const.                   */
#define M_SUN   1.989E30                 /* [kg]                           */
#define T_SUN   5800                     /* Sun Temprature                 */
#define K_SUN   G*M_SUN/(AU*AU)          /* Gravity of unit mass at 1[AU]  */
#define R_GAS   8.314                    /* Gas const. [J/mol K]           */
#define J2ERG   1e7                      /* J to erg [erg/J]; 1 erg = 1e-7 J */
#define G_ACCE  9.780327                 /* gravity acceleration; m/s2     */

#define EPS5    1E-5
#define EPS7    1E-7
#define EPS10   1E-10

#define J_COMP      complex<double>( 0.0, 1.0 )

#endif
