
/*
  This program was downloaded from 
    http://ibex.ifac.cnr.it/hdf_decode/manuale/Programs/

  $Log: read_hdf_vdata.c,v $
  Revision 1.2  2001/10/25 08:34:30  menca
  *** empty log message ***
  */

#ifndef _ANALYSIS_
#define _ANALYSIS_

#include <stdio.h>
#include <string.h>

#include "hdf.h"
#include "vg.h"
#include <math.h>

// ###################################################################### //
/* default max number of fields in any vdata */
#define NFIELDS       6000
#define CHAR_4_FIELDS 2000 
#define MAX_VAR_DIMS  100

/* ******************************************************** */
// SD data
short int **Z_int;
short int **Height;

// V data
float32 *Latitude, *Longitude;
float32 *Time, Time_start;
short int *Land_sea_flag;

//
int Max_record, Max_range;
float32 **Z;
double *Dayfrom1800y;

/* ******************************************************** */
int Year, Dayofyear, Hour_start, Minute_start, Sec_start;
int Month, Date;

/* ******************************************************** */
void initialization( );
void read_year_month_day( int argc, char **argv );
void read_sd_data( int argc, char **argv );
void read_v_data( int argc, char **argv );
void calc_data( );

void print_data( );
void set_file_name( int year, int month, int date, char buff[] );

void dayofyear_2_month_day( int dayofyear, int year, int *month, int *date );
double day_from_1800y( int year, int month, double date );
void dayfrom1800y_2_yymmdd( int *year, int *month, int *date, 
                            double dayfrom1800y );

void make_arrays( );
void free_arrays( );

#endif
