
/*
  This program was downloaded from 
    http://ibex.ifac.cnr.it/hdf_decode/manuale/Programs/

  $Log: read_hdf_vdata.c,v $
  Revision 1.2  2001/10/25 08:34:30  menca
  *** empty log message ***
  */

#ifndef _ANALYSIS_
#define _ANALYSIS_

#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "hdf.h"
#include "vg.h"
#include <getopt.h>
#include <math.h>

#define _OVERSHOOTING_ 0

// ###################################################################### //
/* default max number of fields in any vdata */
#define NFIELDS  6000
// #define NFIELDS  600000 

/* default max number of chars to describe fields */
#define CHAR_4_FIELDS 2000 

#define MAX_RECORD  64000
#define MAX_RANGE     125

#define MAX_RECORD_AV  MAX_RECORD
#define MAX_RANGE_AV   MAX_RANGE

#define  LAND_FLG   1
#define  SEA_FLG    2
#define  COAST_FLG  3

/* ******************************************************** */

int Max_record, Max_range;
short int Land_sea_flag[MAX_RECORD];
uint8 Range_surf[MAX_RECORD];

float32 Latitude[MAX_RECORD], Longitude[MAX_RECORD];
float32 Time[MAX_RECORD], Time_start;

float32 Z[MAX_RECORD][MAX_RANGE];
short int Z_int[MAX_RECORD][MAX_RANGE];
short int Height[MAX_RECORD][MAX_RANGE];

char  *Filename = (char *)NULL;  /* default input file name   */
char  *Outdir   = "./";   /* default output directory  */

char *optarg;    /*  argument in command (system provided)  */

/* ******************************************************** */
int Year, Julian_day, Hour_start, Minute_start, Sec_start;
int Month, Date;
int Max_record_av, Max_range_av;
float32 Latitude_av[MAX_RECORD_AV], Longitude_av[MAX_RECORD_AV];
float32 Delta_lat_half, Delta_alt_half;
float32 Altitude_av[MAX_RANGE];

/* ******************************************************** */

void read_year_month_day( int argc, char **argv );
void read_sd_data( int argc, char **argv );
void read_v_data( int argc, char **argv );
void calc_data( );

double interpolate_data( int record_av, int range_av );
double average_data( int record_av, int range_av );

void print_land_sea_flg( );
void print_check_data( );
void print_data( );
void print_hokan_data( );
void print_average_data( );

void julian_2_month_day( );

void option( int argc, char **argv );
int help( );

#endif
